# Refundable_Transactions

Returns a list of refundable transactions to check which transactions are eligible
for a refund based on a consumer application.
**Requirements**:
- Authentication information, user, and password are required for this endpoint.
- Sponsor ID will be determined by the authentication information used.
- `request_user_id`: There must be a user ID in the Momnt system for this GET request to succeed.
That user must be active and should have been established in previous interactions,
such as pre-onboarding or create_user.
- `loan_id`: Partner’s ID for the Application sent in the consumer invitation initial POST.

Endpoint: GET /api/v1/sponsor/merchants/{request_user_id}/refundable-transactions/{external_application_id}/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Path parameters:

  - `external_application_id` (string, required)

  - `request_user_id` (string, required)

## Response 200 fields (application/json):

  - `transaction_description` (string, required)

  - `transaction_amount` (string, required)

  - `created` (string, required)

  - `submitted_by` (string, required)

  - `payment_identifier` (string)

  - `max_refundable_amount` (string, required)

  - `refunded_transactions` (array, required)

  - `refunded_transactions.transaction_description` (string, required)

  - `refunded_transactions.transaction_amount` (string, required)

  - `refunded_transactions.created` (string, required)

  - `refunded_transactions.submitted_by` (string, required)

  - `refunded_transactions.payment_identifier` (string)

  - `full_refund_available` (boolean, required)

  - `partial_refund_available` (boolean, required)

